Skip to main content
GET
/
tokens
/
{address_hash_param}
/
instances
/
{token_id_param}
/
transfers
List token transfers for a specific token instance
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/tokens/{address_hash_param}/instances/{token_id_param}/transfers?apikey='
{
  "items": [
    {
      "block_hash": "<string>",
      "block_number": 123,
      "from": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "log_index": 123,
      "method": "transfer",
      "timestamp": "2023-11-07T05:31:56Z",
      "to": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "token": {
        "address_hash": "<string>",
        "circulating_market_cap": "<string>",
        "decimals": "<string>",
        "exchange_rate": "<string>",
        "holders_count": "<string>",
        "icon_url": "https://example.com",
        "name": "<string>",
        "reputation": "ok",
        "symbol": "<string>",
        "total_supply": "<string>",
        "type": "ERC-20",
        "volume_24h": "<string>",
        "bridge_type": "omni",
        "foreign_address": "<string>",
        "origin_chain_id": "<string>"
      },
      "token_type": "ERC-20",
      "total": {
        "token_id": "<string>",
        "token_instance": {
          "animation_url": "https://example.com",
          "external_app_url": "https://example.com",
          "id": "<string>",
          "image_url": "https://example.com",
          "is_unique": true,
          "media_type": "image/png",
          "media_url": "https://example.com",
          "metadata": {
            "description": "Test",
            "image": "https://example.com/image.png",
            "name": "Test"
          },
          "owner": {
            "ens_domain_name": "<string>",
            "hash": "<string>",
            "implementations": [
              {
                "address_hash": "<string>",
                "name": "<string>"
              }
            ],
            "is_contract": true,
            "is_scam": true,
            "is_verified": true,
            "metadata": {
              "tags": [
                {
                  "meta": {},
                  "name": "<string>",
                  "ordinal": 123,
                  "slug": "<string>",
                  "tagType": "<string>"
                }
              ]
            },
            "name": "<string>",
            "proxy_type": "eip1167",
            "reputation": "ok",
            "private_tags": [
              {
                "address_hash": "<string>",
                "display_name": "<string>",
                "label": "<string>"
              }
            ],
            "public_tags": [
              {
                "address_hash": "<string>",
                "display_name": "<string>",
                "label": "<string>"
              }
            ],
            "watchlist_names": [
              {
                "display_name": "<string>",
                "label": "<string>"
              }
            ]
          },
          "thumbnails": {
            "original": "<string>",
            "250x250": "<string>",
            "500x500": "<string>",
            "60x60": "<string>"
          },
          "token": {
            "address_hash": "<string>",
            "circulating_market_cap": "<string>",
            "decimals": "<string>",
            "exchange_rate": "<string>",
            "holders_count": "<string>",
            "icon_url": "https://example.com",
            "name": "<string>",
            "reputation": "ok",
            "symbol": "<string>",
            "total_supply": "<string>",
            "type": "ERC-20",
            "volume_24h": "<string>",
            "bridge_type": "omni",
            "foreign_address": "<string>",
            "origin_chain_id": "<string>"
          },
          "token_type": "ERC-20",
          "value": "<string>"
        }
      },
      "transaction_hash": "<string>",
      "type": "token_burning"
    }
  ],
  "next_page_params": {
    "block_number": 23489243,
    "index": 920,
    "token_id": "4"
  }
}

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Path Parameters

address_hash_param
string
required

Address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$
token_id_param
string | null
required

Token ID for ERC-721/1155/404 tokens

Pattern: ^-?([1-9][0-9]*|0)$

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

index
integer

Item index for paging

block_number
integer

Block number for paging

Required range: x >= 0
token_id
string | null

Token ID for paging

Pattern: ^-?([1-9][0-9]*|0)$

Response

Transfer history for the specified NFT instance, with pagination.

items
TokenTransfer · object[]
required
next_page_params
object
required
Example:
{
"block_number": 23489243,
"index": 920,
"token_id": "4"
}